curl --request PUT \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/courseOfferings/{offeringSid} \
--header 'Content-Type: application/json' \
--header 'token: <api-key>' \
--data '
{
"title": "Fall 2024",
"matchStrings": "Fall 2024,FA24",
"startDate": "1970-01-01T00:00:00.000Z",
"endDate": "1970-01-01T00:00:00.000Z"
}
'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/courseOfferings/{offeringSid}"
payload = {
"title": "Fall 2024",
"matchStrings": "Fall 2024,FA24",
"startDate": "1970-01-01T00:00:00.000Z",
"endDate": "1970-01-01T00:00:00.000Z"
}
headers = {
"token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Fall 2024',
matchStrings: 'Fall 2024,FA24',
startDate: '1970-01-01T00:00:00.000Z',
endDate: '1970-01-01T00:00:00.000Z'
})
};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/courseOfferings/{offeringSid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sid": "<string>",
"lastActivityDate": "<string>",
"title": "<string>",
"matchStrings": [
"<string>"
],
"startDate": "<string>",
"endDate": "<string>",
"createdDate": "<string>",
"editDate": "<string>"
}Update Course Offering
Replaces the full course offering configuration with the provided payload.
All required fields (title, matchStrings) must be provided.
Authorizations
Path Parameters
Unique SID of the application install. Pattern: AI + 32 hex chars.
^AI[a-f0-9]{32}$"AI1234567890abcdef1234567890abcdef"
Unique SID of the course offering to update. Pattern: CO + 32 hex chars.
^CO[a-f0-9]{32}$"CO1234567890abcdef1234567890abcdef"
Body
Update course offering payload
Human-readable title for the course offering.
"Fall 2024"
Comma-separated list of text patterns used to automatically match incoming LMS courses to this offering.
"Fall 2024,FA24"
Start Date
.*Z"1970-01-01T00:00:00.000Z"
End Date
.*Z"1970-01-01T00:00:00.000Z"
Response
Successful
Course offering SID
Last activity date
Offering title
Match strings for auto-matching
Start date
End date
Created date
Last modified date
Was this page helpful?
